function Rz_bound = evaluateResolventBound(R, z, tail, M)


Rz_bound = intval(0);
for m = 1:M
    Rz_bound = Rz_bound + norm(R(1:6,1:6, m), inf)*abs(z)^m;
end

Rz_bound = Rz_bound + tail*abs(z)^(M);


