function P = evaluate_Parm(z1, z2, A, B, C, D, N)


Ax = zeros(N+1);
By = Ax;
Cz = Ax;
Dw = Ax;

for m = 1:(N+1)
   thisCoef = A(1:(N+1-(m-1)), m);
   Ax(m) = horner(z1, thisCoef, N-(m-1)); 
   
   thisCoef = B(1:(N+1-(m-1)), m);
   By(m) = horner(z1, thisCoef, N-(m-1)); 
   
   thisCoef = C(1:(N+1-(m-1)), m);
   Cz(m) = horner(z1, thisCoef, N-(m-1)); 
   
   thisCoef = D(1:(N+1-(m-1)), m);
   Dw(m) = horner(z1, thisCoef, N-(m-1)); 
end    

Poly_x = horner(z2, Ax, N);
Poly_y = horner(z2, By, N);
Poly_z = horner(z2, Cz, N);
Poly_w = horner(z2, Dw, N);

P =[Poly_x; Poly_y; Poly_z; Poly_w];

end