function thisSum = hatConvCoeff_quadratic(a, b, m, n);

deltaHat = ones(m+1, n+1);
deltaHat(1, 1) = 0;
deltaHat(m+1, n+1) = 0;

thisSum = 0;

for j = 0:m
    for k = 0:n
        thisSum = thisSum + ...
            deltaHat(j+1, k+1)*a(m-j+1, n-k+1)*b(j+1, k+1);
    end
end


return


