function sum = hatConvCoeff_quintic(a, b, c, d, e, m, n);

deltaHat = ones(m+1, m+1, m+1, m+1, n+1, n+1, n+1, n+1);
deltaHat(1,1,1,1,1,1,1,1) = 0;
deltaHat(m+1, 1, 1, 1, n+1, 1, 1, 1) = 0;
deltaHat(m+1, m+1, 1, 1, 1, n+1, n+1, 1, 1) = 0;
deltaHat(m+1, m+1, m+1, 1, n+1, n+1, n+1, 1) = 0;
deltaHat(m+1, m+1, m+1, m+1, n+1, n+1, n+1, n+1) = 0;

sum = 0;

for j1 = 0:m
    for j2 = 0:j1
        for j3 = 0:j2
            for j4 = 0:j3
                for k1 = 0:n
                    for k2 = 0:k1
                        for k3 = 0:k2
                            for k4 = 0:k3
   sum = sum + deltaHat(j1+1, j2+1, j3+1, j4+1, ...
                        k1+1, k2+1, k3+1, k4+1)*...
          a(m-j1+1, n-k1+1)*b(j1-j2+1, k1-k2+1)*...
        c(j2-j3+1, k2-k3+1)*d(j3-j4+1, k3-k4+1)*...
        e(j4+1, k4+1);
                            end
                        end
                    end
                end
            end
        end
    end
end



