function DR = constraintFunction_AD_differential(Y, m1, m2)



h = 10^(-8);
FY = constraintFunction_AD(Y, m1, m2);

%First partial:
dY = Y;
dY(1) = dY(1) + h;
FdY = constraintFunction_AD(dY, m1, m2);
col1 = (FdY - FY)/h;

%Second partial:
dY = Y;
dY(2) = dY(2) + h;
FdY = constraintFunction_AD(dY, m1, m2);
col2 = (FdY - FY)/h;

%Third partial:
dY = Y;
dY(3) = dY(3) + h;
FdY = constraintFunction_AD(dY, m1, m2);
col3 = (FdY - FY)/h;

%Forth partial:
dY = Y;
dY(4) = dY(4) + h;
FdY = constraintFunction_AD(dY, m1, m2);
col4= (FdY - FY)/h;

DR = [col1, col2, col3, col4];