function dydt = crtb_VectorField_AD(Y, m1, m2)

x  = Y(1);
p  = Y(2);
y  = Y(3);
q  = Y(4);
R1 = Y(5);
R2 = Y(6);

dydt = [                           p; 
      2*q + x - m1*x*R1^3 + m1*m2*R1^3 - m2*x*R2^3 - m1*m2*R2^3;
                                   q; 
       -2*p + y - m1*y*R1^3 - m2*y*R2^3;
       -x*p*R1^3 + m2*p*R1^3 - y*q*R1^3;
       -x*p*R2^3 - m1*p*R2^3 - y*q*R2^3];
   
return