function [SP_sigma, DSP_sigma] = collisionSet_PrimaryBody(sigma, mu, C)

%The collision map with differential: primary body

R = sqrt(2*crtbp_regularized_U(0, 0, C, mu));
SP_sigma = R*[0; cos(sigma); 0; sin(sigma)];

DSP_sigma = R*[0; -sin(sigma); 0; cos(sigma)];

end