function F = crtbField(x,p,y,q,mu)

%CRTBP vector field: general call

m1 = 1-mu;
m2 = mu;

r1 = ((x-m2)^2 + y^2)^(1/2);
r2 = ((x+m1)^2 + y^2)^(1/2);

F = [p; 
    2*q+m1*(x-m2)+m2*(x+m1)-m1*(x-m2)/r1^3-m2*(x+m1)/r2^3;
    q; 
    -2*p+m1*y+m2*y-m1*y/r1^3-m2*y/r2^3];

return
 