function F = crtbpField_regularized_mu1(u,p,v,q,mu1,C)


%Regularized Field, secondary body: 
%        version appropriate arbitrary function calls
%        (this is the root version in the codes: everybody calls this)


F = [p;
     8*(u^2+v^2)*q+12*u*(u^2+v^2)^2-16*mu1*u^3+4*(mu1-C)*u + ...
       (8*mu1*(-u^3+3*u*v^2+u))/((u^2 + v^2)^2 + 1 +2*(v^2-u^2))^(3/2);
    q;
   -8*(u^2+v^2)*p+12*v*(u^2+v^2)^2+16*mu1*v^3+4*(mu1-C)*v + ...
     (8*mu1*(v^3-3*u^2*v+v))/((u^2 + v^2)^2 + 1 +2*(v^2-u^2))^(3/2)];


% F = [p;
%      8*(u^2+v^2)*q+12*u*(u^2+v^2)^2-16*mu1*u^3-4*(mu1-C)*u+...
%        (8*mu1*(-u^3+3*u*v^2+u))/((u^2+v^2)^2+1+2*(u^2 - v^2))^(3/2);
%     q;
%    -8*(u^2+v^2)*p+12*v*(u^2+v^2)^2+16*mu1*v^3-4*(mu1-C)*v+...
%      (8*mu1*(v^3-3*u^2*v+v))/((u^2+v^2)^2+1+2*(u^2-v^2))^(3/2)];



