function U = crtbp_regularized_U_m1(u, v, C, mu)

%Compute the regularized potential: second primary

U = 2*((u^2 + v^2)^3 + 2*(1-mu)*(v^4 - u^4) + (1-mu-C)*(u^2 + v^2)) + ...
    4*mu + 4*(1-mu)*(u^2 + v^2)/sqrt((u^2 + v^2)^2 + 1 + 2*(v^2-u^2));

return