function [P_sigma, DP_sigma] = parmBD_L4_saddleFocus(...
                sigma, R, A, B, C, D, N);
                     
 z = R*(cos(sigma) + 1i*sin(sigma));
 zBar = R*(cos(sigma) - 1i*sin(sigma));
 P_sigma = real(evaluate_Parm(z, zBar, A, B, C, D, N));
            
            
DP = evaluate_jacob_Parm(z, zBar, A, B, C, D, N);

DP_sigma = real(DP(:, 1)*(-R*sin(sigma)+R*1i*cos(sigma)) ...
         + DP(:, 2)*(-R*sin(sigma)-R*1i*cos(sigma)));
     
               