function [x, x_prime, y, y_prime] = regularCoordinatesInverse(u,p,v,q,mu,C)

%Convert to Levi-Civita coordinates at the large primary.

w = u + 1i*v;
z = w^2 + mu;

x = real(z);
y = imag(z);

b = [p/2; q/2];
A = [u, v;
     -v, u];
 
X = A\b;


x_prime = X(1);
y_prime = X(2);


