function [SS_theta, DSS_theta] = ...
    collisionSet_secondaryBody_intval(theta, mu, C, r_star)

R = sqrt(2*crtbp_regularized_U_m1(0, 0, C, mu));
SS_theta = R*[0; cos(theta); 0; sin(theta)];

B_theta = theta + infsup(-r_star, r_star);
DSS_theta = R*[0; -sin(B_theta); 0; cos(B_theta)];

end