function Omega = crtbp_Omega_intval(x, y, m1, m2)

r1 = sqrt((x-m2)^2 + y^2);
r2 = sqrt((x+m1)^2 + y^2);

int_oneHalf = intval(1)/intval(2);
Omega = m1*(int_oneHalf*r1^2 + 1/r1) + m2*(int_oneHalf*r2^2 + 1/r2);

return