function [TRP, DTRP] = transform_rotatingToPrimary_intval(X, mu, C, r_star) 

 [u, p, v, q] = regularCoordinates(...
                    X(1), X(2), X(3), X(4), mu);
                                
TRP = [u; p; v; q]; 

[~, DTPR] = transform_primaryToRotating_intval(TRP, mu, C, r_star);
 
DTRP = inv(DTPR);

end