function thisSum = hatConvCoeff_quartic_intval(a, b, c, d, m, n);

deltaHat = intval(ones(m+1, m+1, m+1, n+1, n+1, n+1));
deltaHat(1,1,1,1,1,1) = intval(0);
deltaHat(m+1,1,1,n+1,1,1) = intval(0);
deltaHat(m+1,m+1,1,n+1,n+1,1) = intval(0);
deltaHat(m+1,m+1,m+1,n+1,n+1,n+1) = intval(0);


thisSum = intval(0);

for j1 = 0:m
    for j2 = 0:j1
        for j3 = 0:j2
            for k1 = 0:n
                for k2 = 0:k1
%                     for k3 = 0:k2
%    thisSum = thisSum + deltaHat(j1+1, j2+1, j3+1, k1+1, k2+1, k3+1)*...
%                 a(m-j1+1, n-k1+1)*b(j1-j2+1, k1-k2+1)*...
%                 c(j2-j3+1, k2-k3+1)*d(j3+1, k3+1);
%                     end
                 temp1 = deltaHat(j1+1, j2+1, j3+1, k1+1, k2+1, 1:k2+1);
                 temp1 = reshape(temp1, [1, k2+1]);
                 temp2 = a(m-j1+1, n-k1+1)*b(j1-j2+1, k1-k2+1);
                 temp3 = c(j2-j3+1, 1:k2+1);
                 temp3 = fliplr(temp3);
                 temp4 = d(j3+1, 1:k2+1);
                 temp5 = temp2*temp1.*temp3.*temp4;
                 
                 thisSum = thisSum + sum(temp5);



                end
            end
        end
    end
end
