function [DphiN, DFN, r_DFN] = ...
    TaylorIntegrator_crtbp_regularized_secondary_VarEq_intval(...
                xN, uN, yN, vN, r_proof, m1, C, nu, N)

            
[DFN, r_DFN] = ...
    evaluate_crtbp_regularized_secondary_Differential_poly_Intval(...
                                   xN, uN, yN, vN, ...
                                   r_proof, r_proof, r_proof, r_proof, ...
                                   m1, C, nu, N);
                            
                               
DphiN = intval(zeros(4, 4, N+1));
DphiN(:, :, 1) = intval(eye(4));

for n = 1:N
   Sum = intval(zeros(4, 4));
   for k = 0:n-1
       A = reshape(DFN(:, :, n-k), [4,4]);
       M = reshape(DphiN(:, :, k+1), [4,4]);
       Sum = Sum + A*M;
   end
   DphiN(:, :, n+1) = (1/n)*Sum; 

end
                               

end



