function [proofSuccess, r_proof] = ...
                       validateTaylorStep_crtbpUnfoldingVarEq_intval(...
                               xN, uN, yN, vN, ...
                               DphiN, DFN, r_DFN, c, nu, N)

 sum = intval('0');
 for n = 0:N
     An = reshape(DFN(:, :, n+1), [4,4]);
     sum = sum + norm(An, inf)*nu^n;
 end
  
 K = (sum + r_DFN)*nu/(N+2)
  
 proofSuccess = 0;
 if sup(K) >= 1
    crashNow = crashHere_bad_DF_bound_in_varEq_vaidation 
 else
     proofSuccess = 1;
 end
                           
 sum = intval('0');
 for n = N+1:2*N+1
     Sum = intval(zeros(4,4));
     for k = n-N-1:N
        An = reshape(DFN(:, :, n-k), [4,4]);
        Mn = reshape(DphiN(:, :, k+1), [4,4]);
        Sum = Sum + An*Mn; 
     end
     sum = sum + norm(Sum, inf)*(nu^n)/n;
 end
   
 bound1 = sum;
 
 sum = intval('0');
 for n = 0:N
     Mn = reshape(DphiN(:, :, n+1), [4,4]);
     sum = sum + norm(Mn, inf)*nu^n;
 end
 
 bound2 = nu*sum*r_DFN/(N+2);
 r_proof = (bound1 + bound2)/(1-K);                      
                                              
end