function d = set2setDistance(A, B)

%computes numerically the min distance from set A to B.

dim = size(A, 1);
M = size(A, 2);
N = size(B, 2);

d = inf;

for m = 1:M
    point1 = A(:, m);
    for n = 1:N
        point2 = B(:, n);
        thisDistance = norm(point1 - point2);
        if thisDistance < d
            d = thisDistance;
        end
    end
end
        

