function W_locBoundry = ...
    manifoldBoundry_saddleFocusCase(A, B, C, D, numTheta, R, N)
                                                                                   
theThetas = linspace(0, 2*pi, numTheta);
W_locBoundry = zeros(4, numTheta);
pointNum = 1;

for k = 1:numTheta
    theta = theThetas(k);
    point = zeros(4, 1);
    z = R*(cos(theta) + 1i*sin(theta));
    zBar = R*(cos(theta) - 1i*sin(theta));
    for order = 0:N
        for subOrder = 0:order
            m = subOrder;
            n = order - subOrder;
                
            theCoeff = [A(m+1, n+1);
                        B(m+1, n+1);
                        C(m+1, n+1);
                        D(m+1, n+1)];
            point = point + theCoeff*(z^m)*(zBar^n);
        end
    end
    W_locBoundry(1:4, pointNum) = real(point);
    pointNum = pointNum + 1;
    end
end                                          
                                          