function W_loc = plotManitold_saddleFocusCase(A,B,C,D,...
                                              numRad,...
                                              numTheta,...
                                              N)
                                          
                                          
theThetas = linspace(0, 2*pi, numTheta);
theRadii = linspace(0.1, 1, numRad);
W_loc = zeros(4, numRad*numTheta);
pointNum = 1;


for j = 1:numRad
    j
    rad = theRadii(j);
    for k = 1:numTheta
        theta = theThetas(k);
        point = zeros(4, 1);
        z = rad*(cos(theta) + i*sin(theta));
        zBar = rad*(cos(theta) - i*sin(theta));
        for order = 0:N
            for subOrder = 0:order
                m = subOrder;
                n = order - subOrder;
                
                theCoeff = [A(m+1, n+1);
                            B(m+1, n+1);
                            C(m+1, n+1);
                            D(m+1, n+1)];
                point = point + theCoeff*(z^m)*(zBar^n);
            end
        end
        W_loc(1:4, pointNum) = real(point);
        pointNum = pointNum + 1;
    end
end                                          
                                          
 
return
                                          