function DF_T =  evaluateTaylorDifferential_planar(DFN, T, N); 

A11 = reshape(DFN(1, 1, :), [N+1, 1]);
A12 = reshape(DFN(1, 2, :), [N+1, 1]);
A13 = reshape(DFN(1, 3, :), [N+1, 1]);
A14 = reshape(DFN(1, 4, :), [N+1, 1]);

A21 = reshape(DFN(2, 1, :), [N+1, 1]);
A22 = reshape(DFN(2, 2, :), [N+1, 1]);
A23 = reshape(DFN(2, 3, :), [N+1, 1]);
A24 = reshape(DFN(2, 4, :), [N+1, 1]);

A31 = reshape(DFN(3, 1, :), [N+1, 1]);
A32 = reshape(DFN(3, 2, :), [N+1, 1]);
A33 = reshape(DFN(3, 3, :), [N+1, 1]);
A34 = reshape(DFN(3, 4, :), [N+1, 1]);

A41 = reshape(DFN(4, 1, :), [N+1, 1]);
A42 = reshape(DFN(4, 2, :), [N+1, 1]);
A43 = reshape(DFN(4, 3, :), [N+1, 1]);
A44 = reshape(DFN(4, 4, :), [N+1, 1]);

a11 = horner(T, A11, N);
a12 = horner(T, A12, N);
a13 = horner(T, A13, N);
a14 = horner(T, A14, N);

a21 = horner(T, A21, N);
a22 = horner(T, A22, N);
a23 = horner(T, A23, N);
a24 = horner(T, A24, N);

a31 = horner(T, A31, N);
a32 = horner(T, A32, N);
a33 = horner(T, A33, N);
a34 = horner(T, A34, N);

a41 = horner(T, A41, N);
a42 = horner(T, A42, N);
a43 = horner(T, A43, N);
a44 = horner(T, A44, N);

DF_T = [a11, a12, a13, a14;
        a21, a22, a23, a24;
        a31, a32, a33, a34;
        a41, a42, a43, a44];

end













