function [SS_theta, DSS_theta] = collisionSet_secondaryBody(theta, mu, C)

%The collision map with differential for the second body

R = sqrt(2*crtbp_regularized_U_m1(0, 0, C, mu));
SS_theta = R*[0; cos(theta); 0; sin(theta)];

DSS_theta = R*[0; -sin(theta); 0; cos(theta)];

end