function U = crtbp_regularized_U(u, v, C, mu)

%regularized potential (primary body)

U = 2*((u^2 + v^2)^3 + 2*mu*(u^4 - v^4) + (mu-C)*(u^2 + v^2)) + ...
    4*(1-mu) + 4*mu*(u^2 + v^2)/sqrt((u^2 + v^2)^2 + 1 + 2*(u^2-v^2));

return