function [x,x_prime,y,y_prime]=regularCoordinatesInverse_mu1(u,p,v,q,mu1,C)

%Convert to Levi-Civita coordinates at the second primary.

w = u + 1i*v;
z = w^2 - mu1;

x = real(z);
y = imag(z);

b = [p/2; q/2];
A = [u, v;
     -v, u];
 
X = A\b;


x_prime = X(1);
y_prime = X(2);



