function transformedOrbit = returnToCRTBP_xy(thisOrbit, mu, C)

numPoints = size(thisOrbit, 1)
thisOrbit_trans = zeros(2, numPoints);

for k = 1:numPoints
    thisPoint = thisOrbit(k, 1:4);
    [u_now, v_now] = regularPositionsInverse(...
        thisPoint(1),thisPoint(2),thisPoint(3),thisPoint(4),mu,C);
    thisOrbit_trans(1:2, k) = [u_now; v_now];
end

transformedOrbit = thisOrbit_trans;