function [TRP, DTRP] = transform_rotatingToPrimary(X, mu, C) 

%Levi-Civita coordiante change with derivative at the primary body

 [u, p, v, q] = regularCoordinates(...
                    X(1), X(2), X(3), X(4), mu);
                                
TRP = [u; p; v; q]; 

[TPR, DTPR] = transform_primaryToRotating(TRP, mu, C);
 
DTRP = inv(DTPR);

end