function [TSR, DTRS] = transform_rotatingToSecondary(X, mu, C) 

 [u, p, v, q] = regularCoordinates_mu1(...
                    X(1), X(2), X(3), X(4), 1-mu);
                                
TSR = [u; p; v; q]; 

[~, DTSR] = transform_secondaryToRotating(TSR, mu, C);
 

DTRS = inv(DTSR);

end