function [SP_sigma, DSP_sigma] = ...
              collisionSet_PrimaryBody_intval(sigma, mu, C, r_star)

R = sqrt(2*crtbp_regularized_U(0, 0, C, mu));
SP_sigma = R*[0; cos(sigma); 0; sin(sigma)];

I_sigma = sigma + infsup(-r_star, r_star);
DSP_sigma = R*[0; -sin(I_sigma); 0; cos(I_sigma)];

end