function partial_c_phi = ...
    TaylorIntegrator_crtbp_unfolding_parmPartial_intval(uN, vN, AN, N)
                       
eta = intval(zeros(4, N+1));
eta(:, 2) = [    0; 
             uN(1);
                 0;
             vN(1)];

for n = 2:N
    sum1 = intval(zeros(4, 1));
    for k = 1:n-1
       sum1 = sum1 + AN(:, :, n-k)*eta(:, k+1);
    end
    an_1 = [0;
            uN(n);
            0;
            vN(n)];
    eta(:, n+1) = (an_1 + sum1)/n;
end

partial_c_phi = eta;

end
            
            
            